Bug 171307 - Speedometer: Update the AngularJS implementation to a more recent library version
Summary: Speedometer: Update the AngularJS implementation to a more recent library ver...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Addy Osmani
URL:
Keywords:
Depends on:
Blocks: 170513
  Show dependency treegraph
 
Reported: 2017-04-25 18:28 PDT by Addy Osmani
Modified: 2017-05-13 17:39 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.76 MB, patch)
2017-04-25 18:42 PDT, Addy Osmani
no flags Details | Formatted Diff | Diff
Patch (1.72 MB, patch)
2017-05-11 16:19 PDT, Addy Osmani
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Addy Osmani 2017-04-25 18:28:57 PDT
As part of Speedometer 2.0 (https://bugs.webkit.org/show_bug.cgi?id=170513), the AngularJS (1.x) implementation of TodoMVC needs to be updated to a more recent version.
Comment 1 Addy Osmani 2017-04-25 18:42:01 PDT
Created attachment 308184 [details]
Patch
Comment 2 Ryosuke Niwa 2017-05-09 14:45:55 PDT
Comment on attachment 308184 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=308184&action=review

> PerformanceTests/ChangeLog:7
> +        Updates the AngularJS implementation of TodoMVC to 1.4.x

Add a blank line above this line.

> PerformanceTests/ChangeLog:49
> +        (isValidDottedPath):

Please remove these inline comments when files are just imported from somewhere.
Comment 3 Addy Osmani 2017-05-11 16:19:14 PDT
Created attachment 309813 [details]
Patch
Comment 4 Addy Osmani 2017-05-11 16:21:13 PDT
Added a blank line above 7 and removed inline comments from the changelog. PTAL.
Comment 5 WebKit Commit Bot 2017-05-11 17:12:28 PDT
Comment on attachment 309813 [details]
Patch

Clearing flags on attachment: 309813

Committed r216706: <http://trac.webkit.org/changeset/216706>
Comment 6 WebKit Commit Bot 2017-05-11 17:12:30 PDT
All reviewed patches have been landed.  Closing bug.